from smtplib import SMTPException
from django.conf import settings
from django.core.mail import get_connection
from celery.utils.log import get_task_logger

from evote.celery import app

from .utils import deserialize_email


logger = get_task_logger(__name__)


@app.task
def send_email(email_serialized):
    email = deserialize_email(email_serialized)
    email_sent = 0
    connection = get_connection(backend=settings.CELERY_EMAIL_BACKEND)
    connection.open()
    try:
        email_sent = connection.send_messages([email])
    except SMTPException:
        logger.exception("Failed sending email to %r.", email.to)
    connection.close()
    return email_sent
