from django.utils.translation import ugettext as _
from django.conf import settings

from evotemailings.mailings import BaseMailing


class ContactMail(BaseMailing):
    """ """
    template_name = 'voters/mails/contact_mail.html'

    def get_mail_to(self):
        return getattr(
            settings, "EVOTE_CONTACT_MAIL", [])

    def get_mail_reply_to(self):
        return [self.get_context_data().get('from')]

    def get_subject(self):
        subject = _('Evote: Contact from') + " " +\
            self.get_context_data().get('name')
        return subject


class SendPinMail(BaseMailing):
    """ """
    template_name = 'voters/mails/pin_mail.html'

    def get_mail_to(self):
        return getattr(
            settings, "EVOTE_CONTACT_MAIL", [])

    def get_mail_reply_to(self):
        return [self.get_context_data().get('from')]

    def get_subject(self):
        subject = _('Evote: Security PIN code')
        return subject


class SendReferenceMail(BaseMailing):
    """ """
    template_name = 'voters/mails/reference_mail.html'

    def get_subject(self):
        subject = _('Evote: You vote refence')
        return subject
